# Deprecated API

## Contents

- Methods

Methods
org.mariadb.jdbc.BaseCallableStatement.getBigDecimal​(int, int): use `getBigDecimal(int parameterIndex)` or `getBigDecimal(String parameterName)`
org.mariadb.jdbc.BasePreparedStatement.setUnicodeStream​(int, InputStream, int): Use `setCharacterStream`
org.mariadb.jdbc.client.result.Result.getBigDecimal​(int, int)
org.mariadb.jdbc.client.result.Result.getUnicodeStream​(int)